1. Screening
Qeep
  • Screening
    • Screen transaction
      POST
    • Get screening result by ID
      GET
    • Rescreen transaction
      POST
    • List screening requests
      GET
    • Record screening outcome
      POST
  • Watchlists
    • Entries
      • Add watchlist entry
      • List watchlist entries
      • Remove watchlist entry
      • Export watchlist entries
      • Bulk import watchlist entries
    • Jobs
      • Cancel a watchlist import job
      • Get watchlist import job
      • List watchlist import jobs
      • Sync watchlist
    • List watchlists
      GET
    • Create watchlist
      POST
    • Update watchlist
      PATCH
  • Schemas
    • ValidationErrorDetail
    • RecordOutcome
    • ErrorDetails
    • ApiErrorResponse
    • ScreeningResult
    • Watchlist
    • txn-monitoring-bff_ScreeningResult
    • ScreenTransaction
    • CreateWatchlist
    • txn-monitoring-bff_ScreenTransaction
    • ScreeningRequestsList
    • WatchlistsList
    • Rescreen
    • UpdateWatchlist
    • WatchlistEntriesList
    • WatchlistEntry
    • AddEntry
    • RemoveWatchlistEntry
    • SyncWatchlist
    • WatchlistImportJob
    • WatchlistExport
    • WatchlistImportJobsList
  1. Screening

List screening requests

Developing
GET
/v1/txn-monitoring/screening
Retrieves a paginated list of screening requests with optional filtering by status, decision, risk level, date range, and search term.

Request

Authorization
Add parameter in header
x-api-akey
Example:
x-api-akey: ********************
Query Params

Responses

🟢200Success
application/json
Successful response
Bodyapplication/json

🟠400
🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.qeeptech.com/v1/txn-monitoring/screening?page=undefined&limit=5&status=undefined&decision=undefined&riskLevel=undefined&search=undefined&startDate=undefined&endDate=undefined&sortBy=undefined&sortOrder=undefined' \
--header 'x-api-akey: <api-key>'
Response Response Example
200 - Example 1
{
    "success": true,
    "data": {
        "data": [
            {
                "property1": "string",
                "property2": "string"
            }
        ]
    },
    "message": "string",
    "meta": {
        "timestamp": "2019-08-24T14:15:22.123Z",
        "requestId": "string",
        "traceId": "string",
        "spanId": "string",
        "path": "string",
        "pagination": {
            "page": 0,
            "limit": 0,
            "total": 0,
            "totalPages": 0,
            "hasNext": true,
            "hasPrevious": true
        }
    }
}
Modified at 2026-07-20 11:16:03
Previous
Rescreen transaction
Next
Record screening outcome
Built with